input, textarea{
    border: 1px solid #aaa;
    border-radius: 2px;
    margin-bottom: 30px;
    padding: 10px;
    width: 100%;
}

input[type="submit"]{
    width: auto;
}

textarea{
    height: 170px;
}

input:focus, textarea:focus{
    outline: 1px solid #777;
}

/*
não funcionou no edge
cross-browser = funciona em qualquer navegador
input::placeholder, textarea::placeholder{
    color: white;
}
input:focus::placeholder, textarea:focus::placeholder{
    color: #aaa;
}
*/

.input-control{
    position: relative;
}

.input-control label{
    position: absolute;
    top: 5px;
    left: 5px;
    opacity: 0;
}

.input-control input:focus ~ label,.input-control textarea:focus ~ label{
    top: -25px;
    font-size: 12px;
    transition: ease .5s all;
    opacity: 1;
}

input[type="date"]{
    padding: 7.25px;
}